Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network23.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
23.0.0.0
Broadcast address
23.255.255.255
First usable
23.0.0.1
Last usable
23.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 17000000 · Integer 385875968 to 402653183
Reverse DNS zone
23.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010111..00000000.00000000.0000000023.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00010111..00000000.00000000.0000000023.0.0.0
Broadcast00010111..11111111.11111111.1111111123.255.255.255
Split into smaller subnets/18

23.0.0.0/8 makes 1,024 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
123.0.0.0/1823.0.0.1 to 23.0.63.25423.0.63.25516,382
223.0.64.0/1823.0.64.1 to 23.0.127.25423.0.127.25516,382
323.0.128.0/1823.0.128.1 to 23.0.191.25423.0.191.25516,382
423.0.192.0/1823.0.192.1 to 23.0.255.25423.0.255.25516,382
523.1.0.0/1823.1.0.1 to 23.1.63.25423.1.63.25516,382
623.1.64.0/1823.1.64.1 to 23.1.127.25423.1.127.25516,382
723.1.128.0/1823.1.128.1 to 23.1.191.25423.1.191.25516,382
823.1.192.0/1823.1.192.1 to 23.1.255.25423.1.255.25516,382
923.2.0.0/1823.2.0.1 to 23.2.63.25423.2.63.25516,382
1023.2.64.0/1823.2.64.1 to 23.2.127.25423.2.127.25516,382
1123.2.128.0/1823.2.128.1 to 23.2.191.25423.2.191.25516,382
1223.2.192.0/1823.2.192.1 to 23.2.255.25423.2.255.25516,382
1323.3.0.0/1823.3.0.1 to 23.3.63.25423.3.63.25516,382
1423.3.64.0/1823.3.64.1 to 23.3.127.25423.3.127.25516,382
1523.3.128.0/1823.3.128.1 to 23.3.191.25423.3.191.25516,382
1623.3.192.0/1823.3.192.1 to 23.3.255.25423.3.255.25516,382
1723.4.0.0/1823.4.0.1 to 23.4.63.25423.4.63.25516,382
1823.4.64.0/1823.4.64.1 to 23.4.127.25423.4.127.25516,382
1923.4.128.0/1823.4.128.1 to 23.4.191.25423.4.191.25516,382
2023.4.192.0/1823.4.192.1 to 23.4.255.25423.4.255.25516,382
2123.5.0.0/1823.5.0.1 to 23.5.63.25423.5.63.25516,382
2223.5.64.0/1823.5.64.1 to 23.5.127.25423.5.127.25516,382
2323.5.128.0/1823.5.128.1 to 23.5.191.25423.5.191.25516,382
2423.5.192.0/1823.5.192.1 to 23.5.255.25423.5.255.25516,382
2523.6.0.0/1823.6.0.1 to 23.6.63.25423.6.63.25516,382
2623.6.64.0/1823.6.64.1 to 23.6.127.25423.6.127.25516,382
2723.6.128.0/1823.6.128.1 to 23.6.191.25423.6.191.25516,382
2823.6.192.0/1823.6.192.1 to 23.6.255.25423.6.255.25516,382
2923.7.0.0/1823.7.0.1 to 23.7.63.25423.7.63.25516,382
3023.7.64.0/1823.7.64.1 to 23.7.127.25423.7.127.25516,382
3123.7.128.0/1823.7.128.1 to 23.7.191.25423.7.191.25516,382
3223.7.192.0/1823.7.192.1 to 23.7.255.25423.7.255.25516,382
3323.8.0.0/1823.8.0.1 to 23.8.63.25423.8.63.25516,382
3423.8.64.0/1823.8.64.1 to 23.8.127.25423.8.127.25516,382
3523.8.128.0/1823.8.128.1 to 23.8.191.25423.8.191.25516,382
3623.8.192.0/1823.8.192.1 to 23.8.255.25423.8.255.25516,382
3723.9.0.0/1823.9.0.1 to 23.9.63.25423.9.63.25516,382
3823.9.64.0/1823.9.64.1 to 23.9.127.25423.9.127.25516,382
3923.9.128.0/1823.9.128.1 to 23.9.191.25423.9.191.25516,382
4023.9.192.0/1823.9.192.1 to 23.9.255.25423.9.255.25516,382
4123.10.0.0/1823.10.0.1 to 23.10.63.25423.10.63.25516,382
4223.10.64.0/1823.10.64.1 to 23.10.127.25423.10.127.25516,382
4323.10.128.0/1823.10.128.1 to 23.10.191.25423.10.191.25516,382
4423.10.192.0/1823.10.192.1 to 23.10.255.25423.10.255.25516,382
4523.11.0.0/1823.11.0.1 to 23.11.63.25423.11.63.25516,382
4623.11.64.0/1823.11.64.1 to 23.11.127.25423.11.127.25516,382
4723.11.128.0/1823.11.128.1 to 23.11.191.25423.11.191.25516,382
4823.11.192.0/1823.11.192.1 to 23.11.255.25423.11.255.25516,382
4923.12.0.0/1823.12.0.1 to 23.12.63.25423.12.63.25516,382
5023.12.64.0/1823.12.64.1 to 23.12.127.25423.12.127.25516,382
5123.12.128.0/1823.12.128.1 to 23.12.191.25423.12.191.25516,382
5223.12.192.0/1823.12.192.1 to 23.12.255.25423.12.255.25516,382
5323.13.0.0/1823.13.0.1 to 23.13.63.25423.13.63.25516,382
5423.13.64.0/1823.13.64.1 to 23.13.127.25423.13.127.25516,382
5523.13.128.0/1823.13.128.1 to 23.13.191.25423.13.191.25516,382
5623.13.192.0/1823.13.192.1 to 23.13.255.25423.13.255.25516,382
5723.14.0.0/1823.14.0.1 to 23.14.63.25423.14.63.25516,382
5823.14.64.0/1823.14.64.1 to 23.14.127.25423.14.127.25516,382
5923.14.128.0/1823.14.128.1 to 23.14.191.25423.14.191.25516,382
6023.14.192.0/1823.14.192.1 to 23.14.255.25423.14.255.25516,382
6123.15.0.0/1823.15.0.1 to 23.15.63.25423.15.63.25516,382
6223.15.64.0/1823.15.64.1 to 23.15.127.25423.15.127.25516,382
6323.15.128.0/1823.15.128.1 to 23.15.191.25423.15.191.25516,382
6423.15.192.0/1823.15.192.1 to 23.15.255.25423.15.255.25516,382
6523.16.0.0/1823.16.0.1 to 23.16.63.25423.16.63.25516,382
6623.16.64.0/1823.16.64.1 to 23.16.127.25423.16.127.25516,382
6723.16.128.0/1823.16.128.1 to 23.16.191.25423.16.191.25516,382
6823.16.192.0/1823.16.192.1 to 23.16.255.25423.16.255.25516,382
6923.17.0.0/1823.17.0.1 to 23.17.63.25423.17.63.25516,382
7023.17.64.0/1823.17.64.1 to 23.17.127.25423.17.127.25516,382
7123.17.128.0/1823.17.128.1 to 23.17.191.25423.17.191.25516,382
7223.17.192.0/1823.17.192.1 to 23.17.255.25423.17.255.25516,382
7323.18.0.0/1823.18.0.1 to 23.18.63.25423.18.63.25516,382
7423.18.64.0/1823.18.64.1 to 23.18.127.25423.18.127.25516,382
7523.18.128.0/1823.18.128.1 to 23.18.191.25423.18.191.25516,382
7623.18.192.0/1823.18.192.1 to 23.18.255.25423.18.255.25516,382
7723.19.0.0/1823.19.0.1 to 23.19.63.25423.19.63.25516,382
7823.19.64.0/1823.19.64.1 to 23.19.127.25423.19.127.25516,382
7923.19.128.0/1823.19.128.1 to 23.19.191.25423.19.191.25516,382
8023.19.192.0/1823.19.192.1 to 23.19.255.25423.19.255.25516,382
8123.20.0.0/1823.20.0.1 to 23.20.63.25423.20.63.25516,382
8223.20.64.0/1823.20.64.1 to 23.20.127.25423.20.127.25516,382
8323.20.128.0/1823.20.128.1 to 23.20.191.25423.20.191.25516,382
8423.20.192.0/1823.20.192.1 to 23.20.255.25423.20.255.25516,382
8523.21.0.0/1823.21.0.1 to 23.21.63.25423.21.63.25516,382
8623.21.64.0/1823.21.64.1 to 23.21.127.25423.21.127.25516,382
8723.21.128.0/1823.21.128.1 to 23.21.191.25423.21.191.25516,382
8823.21.192.0/1823.21.192.1 to 23.21.255.25423.21.255.25516,382
8923.22.0.0/1823.22.0.1 to 23.22.63.25423.22.63.25516,382
9023.22.64.0/1823.22.64.1 to 23.22.127.25423.22.127.25516,382
9123.22.128.0/1823.22.128.1 to 23.22.191.25423.22.191.25516,382
9223.22.192.0/1823.22.192.1 to 23.22.255.25423.22.255.25516,382
9323.23.0.0/1823.23.0.1 to 23.23.63.25423.23.63.25516,382
9423.23.64.0/1823.23.64.1 to 23.23.127.25423.23.127.25516,382
9523.23.128.0/1823.23.128.1 to 23.23.191.25423.23.191.25516,382
9623.23.192.0/1823.23.192.1 to 23.23.255.25423.23.255.25516,382
9723.24.0.0/1823.24.0.1 to 23.24.63.25423.24.63.25516,382
9823.24.64.0/1823.24.64.1 to 23.24.127.25423.24.127.25516,382
9923.24.128.0/1823.24.128.1 to 23.24.191.25423.24.191.25516,382
10023.24.192.0/1823.24.192.1 to 23.24.255.25423.24.255.25516,382
10123.25.0.0/1823.25.0.1 to 23.25.63.25423.25.63.25516,382
10223.25.64.0/1823.25.64.1 to 23.25.127.25423.25.127.25516,382
10323.25.128.0/1823.25.128.1 to 23.25.191.25423.25.191.25516,382
10423.25.192.0/1823.25.192.1 to 23.25.255.25423.25.255.25516,382
10523.26.0.0/1823.26.0.1 to 23.26.63.25423.26.63.25516,382
10623.26.64.0/1823.26.64.1 to 23.26.127.25423.26.127.25516,382
10723.26.128.0/1823.26.128.1 to 23.26.191.25423.26.191.25516,382
10823.26.192.0/1823.26.192.1 to 23.26.255.25423.26.255.25516,382
10923.27.0.0/1823.27.0.1 to 23.27.63.25423.27.63.25516,382
11023.27.64.0/1823.27.64.1 to 23.27.127.25423.27.127.25516,382
11123.27.128.0/1823.27.128.1 to 23.27.191.25423.27.191.25516,382
11223.27.192.0/1823.27.192.1 to 23.27.255.25423.27.255.25516,382
11323.28.0.0/1823.28.0.1 to 23.28.63.25423.28.63.25516,382
11423.28.64.0/1823.28.64.1 to 23.28.127.25423.28.127.25516,382
11523.28.128.0/1823.28.128.1 to 23.28.191.25423.28.191.25516,382
11623.28.192.0/1823.28.192.1 to 23.28.255.25423.28.255.25516,382
11723.29.0.0/1823.29.0.1 to 23.29.63.25423.29.63.25516,382
11823.29.64.0/1823.29.64.1 to 23.29.127.25423.29.127.25516,382
11923.29.128.0/1823.29.128.1 to 23.29.191.25423.29.191.25516,382
12023.29.192.0/1823.29.192.1 to 23.29.255.25423.29.255.25516,382
12123.30.0.0/1823.30.0.1 to 23.30.63.25423.30.63.25516,382
12223.30.64.0/1823.30.64.1 to 23.30.127.25423.30.127.25516,382
12323.30.128.0/1823.30.128.1 to 23.30.191.25423.30.191.25516,382
12423.30.192.0/1823.30.192.1 to 23.30.255.25423.30.255.25516,382
12523.31.0.0/1823.31.0.1 to 23.31.63.25423.31.63.25516,382
12623.31.64.0/1823.31.64.1 to 23.31.127.25423.31.127.25516,382
12723.31.128.0/1823.31.128.1 to 23.31.191.25423.31.191.25516,382
12823.31.192.0/1823.31.192.1 to 23.31.255.25423.31.255.25516,382
12923.32.0.0/1823.32.0.1 to 23.32.63.25423.32.63.25516,382
13023.32.64.0/1823.32.64.1 to 23.32.127.25423.32.127.25516,382
13123.32.128.0/1823.32.128.1 to 23.32.191.25423.32.191.25516,382
13223.32.192.0/1823.32.192.1 to 23.32.255.25423.32.255.25516,382
13323.33.0.0/1823.33.0.1 to 23.33.63.25423.33.63.25516,382
13423.33.64.0/1823.33.64.1 to 23.33.127.25423.33.127.25516,382
13523.33.128.0/1823.33.128.1 to 23.33.191.25423.33.191.25516,382
13623.33.192.0/1823.33.192.1 to 23.33.255.25423.33.255.25516,382
13723.34.0.0/1823.34.0.1 to 23.34.63.25423.34.63.25516,382
13823.34.64.0/1823.34.64.1 to 23.34.127.25423.34.127.25516,382
13923.34.128.0/1823.34.128.1 to 23.34.191.25423.34.191.25516,382
14023.34.192.0/1823.34.192.1 to 23.34.255.25423.34.255.25516,382
14123.35.0.0/1823.35.0.1 to 23.35.63.25423.35.63.25516,382
14223.35.64.0/1823.35.64.1 to 23.35.127.25423.35.127.25516,382
14323.35.128.0/1823.35.128.1 to 23.35.191.25423.35.191.25516,382
14423.35.192.0/1823.35.192.1 to 23.35.255.25423.35.255.25516,382
14523.36.0.0/1823.36.0.1 to 23.36.63.25423.36.63.25516,382
14623.36.64.0/1823.36.64.1 to 23.36.127.25423.36.127.25516,382
14723.36.128.0/1823.36.128.1 to 23.36.191.25423.36.191.25516,382
14823.36.192.0/1823.36.192.1 to 23.36.255.25423.36.255.25516,382
14923.37.0.0/1823.37.0.1 to 23.37.63.25423.37.63.25516,382
15023.37.64.0/1823.37.64.1 to 23.37.127.25423.37.127.25516,382
15123.37.128.0/1823.37.128.1 to 23.37.191.25423.37.191.25516,382
15223.37.192.0/1823.37.192.1 to 23.37.255.25423.37.255.25516,382
15323.38.0.0/1823.38.0.1 to 23.38.63.25423.38.63.25516,382
15423.38.64.0/1823.38.64.1 to 23.38.127.25423.38.127.25516,382
15523.38.128.0/1823.38.128.1 to 23.38.191.25423.38.191.25516,382
15623.38.192.0/1823.38.192.1 to 23.38.255.25423.38.255.25516,382
15723.39.0.0/1823.39.0.1 to 23.39.63.25423.39.63.25516,382
15823.39.64.0/1823.39.64.1 to 23.39.127.25423.39.127.25516,382
15923.39.128.0/1823.39.128.1 to 23.39.191.25423.39.191.25516,382
16023.39.192.0/1823.39.192.1 to 23.39.255.25423.39.255.25516,382
16123.40.0.0/1823.40.0.1 to 23.40.63.25423.40.63.25516,382
16223.40.64.0/1823.40.64.1 to 23.40.127.25423.40.127.25516,382
16323.40.128.0/1823.40.128.1 to 23.40.191.25423.40.191.25516,382
16423.40.192.0/1823.40.192.1 to 23.40.255.25423.40.255.25516,382
16523.41.0.0/1823.41.0.1 to 23.41.63.25423.41.63.25516,382
16623.41.64.0/1823.41.64.1 to 23.41.127.25423.41.127.25516,382
16723.41.128.0/1823.41.128.1 to 23.41.191.25423.41.191.25516,382
16823.41.192.0/1823.41.192.1 to 23.41.255.25423.41.255.25516,382
16923.42.0.0/1823.42.0.1 to 23.42.63.25423.42.63.25516,382
17023.42.64.0/1823.42.64.1 to 23.42.127.25423.42.127.25516,382
17123.42.128.0/1823.42.128.1 to 23.42.191.25423.42.191.25516,382
17223.42.192.0/1823.42.192.1 to 23.42.255.25423.42.255.25516,382
17323.43.0.0/1823.43.0.1 to 23.43.63.25423.43.63.25516,382
17423.43.64.0/1823.43.64.1 to 23.43.127.25423.43.127.25516,382
17523.43.128.0/1823.43.128.1 to 23.43.191.25423.43.191.25516,382
17623.43.192.0/1823.43.192.1 to 23.43.255.25423.43.255.25516,382
17723.44.0.0/1823.44.0.1 to 23.44.63.25423.44.63.25516,382
17823.44.64.0/1823.44.64.1 to 23.44.127.25423.44.127.25516,382
17923.44.128.0/1823.44.128.1 to 23.44.191.25423.44.191.25516,382
18023.44.192.0/1823.44.192.1 to 23.44.255.25423.44.255.25516,382
18123.45.0.0/1823.45.0.1 to 23.45.63.25423.45.63.25516,382
18223.45.64.0/1823.45.64.1 to 23.45.127.25423.45.127.25516,382
18323.45.128.0/1823.45.128.1 to 23.45.191.25423.45.191.25516,382
18423.45.192.0/1823.45.192.1 to 23.45.255.25423.45.255.25516,382
18523.46.0.0/1823.46.0.1 to 23.46.63.25423.46.63.25516,382
18623.46.64.0/1823.46.64.1 to 23.46.127.25423.46.127.25516,382
18723.46.128.0/1823.46.128.1 to 23.46.191.25423.46.191.25516,382
18823.46.192.0/1823.46.192.1 to 23.46.255.25423.46.255.25516,382
18923.47.0.0/1823.47.0.1 to 23.47.63.25423.47.63.25516,382
19023.47.64.0/1823.47.64.1 to 23.47.127.25423.47.127.25516,382
19123.47.128.0/1823.47.128.1 to 23.47.191.25423.47.191.25516,382
19223.47.192.0/1823.47.192.1 to 23.47.255.25423.47.255.25516,382
19323.48.0.0/1823.48.0.1 to 23.48.63.25423.48.63.25516,382
19423.48.64.0/1823.48.64.1 to 23.48.127.25423.48.127.25516,382
19523.48.128.0/1823.48.128.1 to 23.48.191.25423.48.191.25516,382
19623.48.192.0/1823.48.192.1 to 23.48.255.25423.48.255.25516,382
19723.49.0.0/1823.49.0.1 to 23.49.63.25423.49.63.25516,382
19823.49.64.0/1823.49.64.1 to 23.49.127.25423.49.127.25516,382
19923.49.128.0/1823.49.128.1 to 23.49.191.25423.49.191.25516,382
20023.49.192.0/1823.49.192.1 to 23.49.255.25423.49.255.25516,382
20123.50.0.0/1823.50.0.1 to 23.50.63.25423.50.63.25516,382
20223.50.64.0/1823.50.64.1 to 23.50.127.25423.50.127.25516,382
20323.50.128.0/1823.50.128.1 to 23.50.191.25423.50.191.25516,382
20423.50.192.0/1823.50.192.1 to 23.50.255.25423.50.255.25516,382
20523.51.0.0/1823.51.0.1 to 23.51.63.25423.51.63.25516,382
20623.51.64.0/1823.51.64.1 to 23.51.127.25423.51.127.25516,382
20723.51.128.0/1823.51.128.1 to 23.51.191.25423.51.191.25516,382
20823.51.192.0/1823.51.192.1 to 23.51.255.25423.51.255.25516,382
20923.52.0.0/1823.52.0.1 to 23.52.63.25423.52.63.25516,382
21023.52.64.0/1823.52.64.1 to 23.52.127.25423.52.127.25516,382
21123.52.128.0/1823.52.128.1 to 23.52.191.25423.52.191.25516,382
21223.52.192.0/1823.52.192.1 to 23.52.255.25423.52.255.25516,382
21323.53.0.0/1823.53.0.1 to 23.53.63.25423.53.63.25516,382
21423.53.64.0/1823.53.64.1 to 23.53.127.25423.53.127.25516,382
21523.53.128.0/1823.53.128.1 to 23.53.191.25423.53.191.25516,382
21623.53.192.0/1823.53.192.1 to 23.53.255.25423.53.255.25516,382
21723.54.0.0/1823.54.0.1 to 23.54.63.25423.54.63.25516,382
21823.54.64.0/1823.54.64.1 to 23.54.127.25423.54.127.25516,382
21923.54.128.0/1823.54.128.1 to 23.54.191.25423.54.191.25516,382
22023.54.192.0/1823.54.192.1 to 23.54.255.25423.54.255.25516,382
22123.55.0.0/1823.55.0.1 to 23.55.63.25423.55.63.25516,382
22223.55.64.0/1823.55.64.1 to 23.55.127.25423.55.127.25516,382
22323.55.128.0/1823.55.128.1 to 23.55.191.25423.55.191.25516,382
22423.55.192.0/1823.55.192.1 to 23.55.255.25423.55.255.25516,382
22523.56.0.0/1823.56.0.1 to 23.56.63.25423.56.63.25516,382
22623.56.64.0/1823.56.64.1 to 23.56.127.25423.56.127.25516,382
22723.56.128.0/1823.56.128.1 to 23.56.191.25423.56.191.25516,382
22823.56.192.0/1823.56.192.1 to 23.56.255.25423.56.255.25516,382
22923.57.0.0/1823.57.0.1 to 23.57.63.25423.57.63.25516,382
23023.57.64.0/1823.57.64.1 to 23.57.127.25423.57.127.25516,382
23123.57.128.0/1823.57.128.1 to 23.57.191.25423.57.191.25516,382
23223.57.192.0/1823.57.192.1 to 23.57.255.25423.57.255.25516,382
23323.58.0.0/1823.58.0.1 to 23.58.63.25423.58.63.25516,382
23423.58.64.0/1823.58.64.1 to 23.58.127.25423.58.127.25516,382
23523.58.128.0/1823.58.128.1 to 23.58.191.25423.58.191.25516,382
23623.58.192.0/1823.58.192.1 to 23.58.255.25423.58.255.25516,382
23723.59.0.0/1823.59.0.1 to 23.59.63.25423.59.63.25516,382
23823.59.64.0/1823.59.64.1 to 23.59.127.25423.59.127.25516,382
23923.59.128.0/1823.59.128.1 to 23.59.191.25423.59.191.25516,382
24023.59.192.0/1823.59.192.1 to 23.59.255.25423.59.255.25516,382
24123.60.0.0/1823.60.0.1 to 23.60.63.25423.60.63.25516,382
24223.60.64.0/1823.60.64.1 to 23.60.127.25423.60.127.25516,382
24323.60.128.0/1823.60.128.1 to 23.60.191.25423.60.191.25516,382
24423.60.192.0/1823.60.192.1 to 23.60.255.25423.60.255.25516,382
24523.61.0.0/1823.61.0.1 to 23.61.63.25423.61.63.25516,382
24623.61.64.0/1823.61.64.1 to 23.61.127.25423.61.127.25516,382
24723.61.128.0/1823.61.128.1 to 23.61.191.25423.61.191.25516,382
24823.61.192.0/1823.61.192.1 to 23.61.255.25423.61.255.25516,382
24923.62.0.0/1823.62.0.1 to 23.62.63.25423.62.63.25516,382
25023.62.64.0/1823.62.64.1 to 23.62.127.25423.62.127.25516,382
25123.62.128.0/1823.62.128.1 to 23.62.191.25423.62.191.25516,382
25223.62.192.0/1823.62.192.1 to 23.62.255.25423.62.255.25516,382
25323.63.0.0/1823.63.0.1 to 23.63.63.25423.63.63.25516,382
25423.63.64.0/1823.63.64.1 to 23.63.127.25423.63.127.25516,382
25523.63.128.0/1823.63.128.1 to 23.63.191.25423.63.191.25516,382
25623.63.192.0/1823.63.192.1 to 23.63.255.25423.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses